local BC = {
	Event = {},
	Data = {playerID = "",}
	
}
Command.Event.Attach(Event.Addon.Load.End,
function(handle, identifier)
	if identifier == "BloodyCrits" then
		BC.Data.playerID = Inspect.Unit.Lookup("player")
		
		print("BloodyCrits loaded. /BC")
	end
end
 , "Init")
 
Command.Event.Attach(Command.Slash.Register("BC"),
function (handle, str)
	
	local cmd, arg = string.match(str, "(%a+) ?(.*)")

		print("Slash Commands:")
		
	end
, "SlBCh")
	

	
	local lastbled = 0
-- start frames
local main = UI.CreateContext("UI")

local activeSplatter = {}
local zombieSplatter = {}
math.randomseed(Inspect.Time.Real())

local function AddSplatter() 
  local blood = table.remove(zombieSplatter)
  if not blood then
 
    blood = UI.CreateFrame("Texture", "Blood", main)
    blood:SetWidth(300)
	blood:SetHeight(300)
	
end

-- Pick texture
math.randomseed(Inspect.Time.Real())
local picnum = math.random(1600)
--print("blood chosen"..picnum)

picnum = math.ceil(picnum/100)

if picnum == lastbled then
if picnum < 16 then 

picnum = picnum +1 
else
picnum = 1
end

end
lastbled = picnum

picnum = tostring(picnum)..".PNG"

blood:SetTexture("BloodyCrits", picnum)
--Pick location
local X = math.random(-275, 275)
local Y = math.random(-275, 275)
blood:SetPoint("CENTER", UIParent, "CENTER", X,Y)
--print("Location chosen".. X .." - ".. Y)

	table.insert(activeSplatter, blood)
  
  -- Show the blood 
  blood:SetAlpha(1)
  blood:SetVisible(true)
  --print("Table Status: Used: "..table.getn(activeSplatter).." Unused: "..table.getn(zombieSplatter))
  end

-------

	
	
Command.Event.Attach(Event.Combat.Damage,
   	function (handle, info)
	if info.caster == BC.Data.playerID and info.crit then
	--print("crit")
	AddSplatter()
	end

	end
, "Damage" )	

local lastCall = Inspect.Time.Real()



Command.Event.Attach(Event.System.Update.Begin,
function (handle)
local now = Inspect.Time.Real()
	if (now<lastCall+.5) then 
		return
	end

	for i,v in pairs(activeSplatter) do
		
	
if (v:GetAlpha() > 0) then
v:SetAlpha(v:GetAlpha()-.1)
else 
v:SetVisible(false)
v:SetAlpha(1)
local move = table.remove(activeSplatter, i)
table.insert (zombieSplatter, move)
--print("Table Status: Used: "..table.getn(activeSplatter).." Unused: "..table.getn(zombieSplatter))
end
end
lastCall = now
end
, "Fade")

--table.insert(Event.Combat.Damage, {BC.Event.Damage, "BloodyCrits", "Damage" })
--table.insert(Event.System.Update.Begin, {fade, "BloodyCrits", "Fade"})
--table.insert(Event.Addon.Load.End, 				{BC.Event.LoadEnd, 			"BloodyCrits", "Init"})
--table.insert(Command.Slash.Register("BC"), 		{BC.Event.SlashHandler, 	"BloodyCrits", "SlBCh"})	

-- for 2.5
--Command.Event.Attach(event, callback, label)
--Command.Event.Attach(event, callback, label, priority)	
	



